### Method

# Ide EditorSearch get_extend_selection

#### Declaration

    IdeEditorSearchSelect
    ide_editor_search_get_extend_selection (
      IdeEditorSearch* self
    )

#### Description

Gets the “extend-selection” property.

This property determines if the selection should be extended and how when moving between search results.

Available since: | 3.32

Gets property | `Ide.EditorSearch:extend-selection`

#### Return value

Returns: | `IdeEditorSearchSelect`
| An %IdeEditorSearchSelect.